import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class DataService {
  private cardsSource = new BehaviorSubject<any[]>([]);
  currentCards = this.cardsSource.asObservable();

  constructor() { }
  updateCards(cards: any[]) {
    this.cardsSource.next(cards);
  }
}
